//
//  ModalViewController.m
//  Week3_ControllerExample
//
//  Created by Jason Fieldman on 1/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ModalViewController.h"


@implementation ModalViewController


- (id) init {
	if (self = [super init]) {
		/* Create our top level controller view */
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		self.view.backgroundColor = [UIColor colorWithRed:0.9 green:0.9 blue:0.9 alpha:1];
		
		/* Add the label to our view */
		UILabel *label = [[[UILabel alloc] initWithFrame:CGRectMake(10, 10, 120, 40)] autorelease];
		label.backgroundColor = [UIColor clearColor];
		label.text = @"Modal!";
		[self.view addSubview:label];
		
		/* Add the buttons to our view */
		UIButton *button1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		button1.frame = CGRectMake(140, 10, 90, 40);
		[button1 setTitle:@"Close Me" forState:UIControlStateNormal];
		[button1 addTarget:self action:@selector(pressedButton1:) forControlEvents:UIControlEventTouchUpInside];
		[self.view addSubview:button1];
	}
	return self;
}


- (BOOL) shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation {
	return YES;
}


- (void) pressedButton1:(id)sender {
	/* We're accessing our parentViewController in order to dismiss ourselves */	
	[self.parentViewController dismissModalViewControllerAnimated:YES];
}


- (void)dealloc {
    [super dealloc];
}


@end
